Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ddm
Interface DatabaseConnection

All Known Implementing Classes:
  DatabaseConnectionImpl

    public interface DatabaseConnection

Method Summary
`void` | `close()`
`ResultSet` | `executeQuery(String query)`
`Database` | `getDatabase()`
`Set<ForeignKey>` | `getForeignKeys()`
`Set<ForeignKey>` | `getForeignKeys(String schemaName)`
`String` | `getPassword()`
`Set<PrimaryKey>` | `getPrimaryKeys()`
`Set<PrimaryKey>` | `getPrimaryKeys(String schemaName)`
`Set<String>` | `getSchemaNames()`
`Set<Table>` | `getTables()`
`Set<Table>` | `getTables(String schemaName)`
`String` | `getUserID()`
`boolean` | `isOpen()`
`void` | `open()`

Method Detail

### getUserID

    String getUserID()

### getPassword

    String getPassword()

### getDatabase

    Database getDatabase()

### getTables

    Set<Table> getTables()
                         throws SQLException

  Throws:
    `SQLException`

### getPrimaryKeys

    Set<PrimaryKey> getPrimaryKeys()
                                   throws SQLException

  Throws:
    `SQLException`

### getForeignKeys

    Set<ForeignKey> getForeignKeys()
                                   throws SQLException

  Throws:
    `SQLException`

### getSchemaNames

    Set<String> getSchemaNames()
                               throws SQLException

  Throws:
    `SQLException`

### getTables

    Set<Table> getTables(String schemaName)
                         throws SQLException

  Throws:
    `SQLException`

### getPrimaryKeys

    Set<PrimaryKey> getPrimaryKeys(String schemaName)
                                   throws SQLException

  Throws:
    `SQLException`

### getForeignKeys

    Set<ForeignKey> getForeignKeys(String schemaName)
                                   throws SQLException

  Throws:
    `SQLException`

### open

    void open()
              throws SQLException

  Throws:
    `SQLException`

### executeQuery

    ResultSet executeQuery(String query)
                           throws SQLException

  Throws:
    `SQLException`

### isOpen

    boolean isOpen()

### close

    void close()
               throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.